> For the complete documentation index, see [llms.txt](https://docs.novacura.com/flow-connect/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novacura.com/flow-connect/reference/reference/portal/design-items/portlets/data-tree.md).

# Data tree

The Data tree portlet displays data in a hierarchical tree structure. It allows users to view and navigate data relationships, and select and filter datasets.

## General

General data is required for all portlets, see [General](/flow-connect/reference/reference/portal/design-items/common-portlet-configuration/general.md).

## Events

To set up an event, see [Events](/flow-connect/reference/reference/portal/design-items/common-portlet-configuration/events.md).

## Data

To set up a data source, see [Data](/flow-connect/reference/reference/portal/design-items/common-portlet-configuration/data.md).&#x20;

### Data source columns

In the data source column, you can change column names and set their types. Click **Manage** to access a grid view of the configuration.&#x20;

### Nodes

* **Nodes:** The column where the node ID is specified.
* **Parents:** The column indicating the parent value for each node, showing the hierarchical relationship.
* **Names:** The column where the names to be displayed in the data tree are specified.

**Advanced Settings:**

* **Override start node id:** Define the value for the starting node of the data tree. This determines the initial node from which the tree structure begins.
* **Hide root node:** Set to true if you want the root level to be hidden, making the first visible node the next level in the hierarchy.
* **Hide Orphan Nodes:** Set to true to hide nodes that do not have a parent node.

## Style

To configure style, see [Style](/flow-connect/reference/reference/portal/design-items/common-portlet-configuration/style.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.novacura.com/flow-connect/reference/reference/portal/design-items/portlets/data-tree.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
